org.apache.cassandra.cql3

## Class Relation

- java.lang.Object
- - org.apache.cassandra.cql3.Relation

Direct Known Subclasses:
  MultiColumnRelation, SingleColumnRelation

    public abstract class Relation
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Relation.Type`

### Field Summary

Fields
`protected Relation.Type` `relationType`

### Constructor Summary

Constructors
Constructor and Description
`Relation()`

### Method Summary

Methods
`abstract boolean` `isMultiColumn()`
`Relation.Type` `operator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### relationType

    protected Relation.Type relationType

### Constructor Detail

#### Relation

    public Relation()

### Method Detail

#### operator

    public Relation.Type operator()

#### isMultiColumn

    public abstract boolean isMultiColumn()